from parallels.core.utils.entity import Entity


class Client(Entity):
    def __init__(self, client_id, owner_id, login, client_type, ip_pool_id):
        self._client_id = client_id
        self._owner_id = owner_id
        self._login = login
        self._client_type = client_type
        self._ip_pool_id = ip_pool_id

    @property
    def client_id(self):
        """
        :rtype: str | unicode
        """
        return self._client_id

    @property
    def owner_id(self):
        """
        :rtype: str | unicode
        """
        return self._owner_id

    @property
    def login(self):
        """
        :rtype: str | unicode
        """
        return self._login

    @property
    def client_type(self):
        """
        :rtype: str | unicode
        """
        return self._client_type

    @property
    def ip_pool_id(self):
        """
        :rtype: str | unicode
        """
        return self._ip_pool_id
